Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-21198

Remove unsupported obs packages from lsst_obs metapackage

    Details

    • Type: Story
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Story Points:
      0.5
    • Sprint:
      Arch 2019-08-26, Arch 2019-09-09, Arch 2019-09-16
    • Team:
      Architecture

      Description

      The lsst_obs metapackage contains obs_comCam and obs_monocam packages. obs_comCam is known to be a partially implemented package that has been superseded by obs_lsst. obs_monocam was written for a prototype CCD that never produced good data. The obs package is known to be broken because some afw APIs changed in the last couple of years and the fixes were never applied because tests were never run. Merlin Fisher-Levine informs me that there is no benefit to trying to rescue the package.

      On this ticket I will remove the two packages from the lsst_obs package and move them to lsst-dm org and in legacy mode. I will also rename lsst-dm/obs_auxTel to legacy.

        Attachments

          Issue Links

            Activity

            Hide
            tjenness Tim Jenness added a comment -

            Relocated the packages and removed them from lsst_obs

            Show
            tjenness Tim Jenness added a comment - Relocated the packages and removed them from lsst_obs

              People

              • Assignee:
                tjenness Tim Jenness
                Reporter:
                tjenness Tim Jenness
                Watchers:
                Kian-Tat Lim, Merlin Fisher-Levine, Tim Jenness
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Summary Panel